Jump to content

Retrospect Backup 6.0 Won't Open Up On My Mac G5 Tiger 10.4.5


Recommended Posts

Hello Everyone,

 

I recently installed my 1-1/2 year old Retrospect backup 6.0 software onto my Mac G5 (Power PC) running Tiger 10.4.5. The program won't open up at all when initially launching it, but closes down immediately. It used to run on my G5 when it ran Panther 10.4.3. Will this backup software work with the Tiger OS, or do I need to re-purchase the newest version of Retropect? Any help would be appreciated.

 

Thanks,

 

Peter Natscher

Monterey, California mad.gif

Link to comment
Share on other sites

peter!

 

did you _read_ the downloads page?

 

Quote:

Use these installers to update your 6.x version of Retrospect to the latest version. This update is compatible with Mac OS 10.1.x and higher.

 


 

the latest version is 6.1.126. get downloading.

 

while you are waiting for the files to download, here is a Happy Place

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
×
×
  • Create New...